=== debian/changelog ===
freespeech (1.0m-3) unstable; urgency=medium

  * copyright: Update.
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * tests: Add autopkgtest.
  * upstream/metadata: Add upstream information.
  * patches/0004-Berkeley-DB-instead-of-GDBM.patch: Do not drop gdbm support.
  * patches/0017-gdbm.patch: Use gdbm.
  * control: Replace libdb-dev build-dep with libgdbm-dev (Closes: #1119211)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Nov 2025 01:12:36 +0100

freespeech (1.0m-2) unstable; urgency=medium

  * Cross-build fix.

 -- Igor B. Poretsky <poretsky@mlbox.ru>  Tue, 25 Jun 2024 23:07:26 +0300

freespeech (1.0m-1) unstable; urgency=medium

  * Initial release. (Closes: #1055900)

 -- Igor B. Poretsky <poretsky@mlbox.ru>  Sat, 06 Jan 2024 09:23:48 +0300
