=== debian/control ===
Source: freespeech
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders: Igor B. Poretsky <poretsky@mlbox.ru>
Build-Depends: debhelper-compat (= 13), libgdbm-dev, libgdbm-compat-dev
Standards-Version: 4.6.2
Homepage: https://github.com/poretsky/freespeech
Vcs-Browser: https://salsa.debian.org/tts-team/freespeech
Vcs-Git: https://salsa.debian.org/tts-team/freespeech.git
Rules-Requires-Root: no

Package: freephone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: enlex-data
Suggests: mbrola, mbrola-voice-en
Conflicts: enlex
Replaces: enlex
Description: English Text-To-Phoneme converter
 freephone converts English text to phonemes for MBROLA.
 .
 It can make use of an external dictionary in hash format,
 such as the one provided by enlex-data package.

Package: enlex-data
Architecture: all
Depends: ${misc:Depends}
Recommends: freephone
Conflicts: enlex
Replaces: enlex
Description: English pronunciation dictionary
 This package is aimed primarily for use together with the Freephone
 phonetizer for Mbrola. When it is installed you can instruct Freephone
 to use the pronunciation dictionary by the command line switch
 "-h /usr/share/freespeech/enlex.db".
