=== debian/tests/control ===
Depends: freephone
Restrictions: allow-stderr
Test-Command: echo Hello | freephone > $AUTOPKGTEST_TMP/output.pho && diff $AUTOPKGTEST_TMP/output.pho debian/tests/output.pho
